package com.winhc.repal.cloud;

import com.winhc.common.base.BeanResponse;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.cloud.dto.WinCoinOrderFormDTO;
import com.winhc.repal.cloud.vo.WinCoinOrderFormVO;
import com.winhc.repal.model.dto.RepalOrderPageDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @author Aaron
 * @date 2022/5/10 14:16
 * @description
 */
@FeignClient("win-coin")
//@FeignClient(value = "win-coin",url = "106.14.81.247:5907")
public interface WinCoinService {

    /**
     * 创建订单
     * @param dto
     * @return
     */
    @PostMapping("/winCoins/order")
    BeanResponse<WinCoinOrderFormVO> createOrder(@RequestHeader("userInfo")String userInfo,
                                                 @RequestHeader("appVersion")String appVersion,
                                                 @RequestHeader("appPackage")String appPackage,
                                                 @RequestBody WinCoinOrderFormDTO dto);


    /**
     * 获取
     * @param dto dto
     * @return com.winhc.common.base.BeanResponse<com.winhc.common.model.base.VOPage < com.winhc.repal.cloud.vo.WinCoinOrderFormVO>>
     * @author xda
     * @date 2022/5/20 12:07
     */
    @PostMapping("/winCoins/repal/order")
    BeanResponse<VOPage<WinCoinOrderFormVO>> getRepalOrderPage(@RequestBody RepalOrderPageDTO dto);


    /**
     * 获取订单id
     * @param userBean userBean
     * @param orderId orderId
     * @return com.winhc.common.base.BeanResponse<com.winhc.repal.cloud.vo.WinCoinOrderFormVO>
     * @author xda
     * @date 2022/5/22 09:09
     */
    @GetMapping("/winCoins/order/{orderId}")
    BeanResponse<WinCoinOrderFormVO> getOrderForm(@RequestHeader("userInfo") String userBean, @PathVariable("orderId") String orderId);




}
