package com.winhc.repal.cloud.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 财产线索动态 VO
 * @author: Anakin
 * @date 2020.12.17 17:01
 */
@Data
@ApiModel(description = "财产线索动态 VO")
public class FinanceDynamicVO {
    @ApiModelProperty("ES主键")
    private String id;
    @ApiModelProperty("业务ID")
    private String bizId;
    @ApiModelProperty("企业ＣＩＤ")
    private String cid;
    @ApiModelProperty("企业名称")
    private String cname;
    @ApiModelProperty("财产流向，0 -> 流入 1 -> 流出")
    private String flowType;
    @ApiModelProperty("风险等级，1->低级 2->中级 3->高级")
    private String infoRiskLevel;
    @ApiModelProperty("维度类型 " +
            "1 ->  BANKRUPTCY_OPEN_CASE//HBase\n" +
            "2 ->  COMPANY//HBase\n" +
            "3 ->  COMPANY_BID_LIST//HBase\n" +
            "4 ->  COMPANY_COPYRIGHT_REG_LIST//HBase\n" +
            "5 ->  COMPANY_COPYRIGHT_WORKS_LIST//HBase\n" +
            "6 ->  COMPANY_COURT_OPEN_ANNOUNCEMENT_LIST//HBase\n" +
            "7 ->  COMPANY_DISHONEST_INFO//HBase\n" +
            "8 ->  COMPANY_EQUITY_INFO_LIST//HBase\n" +
            "9 ->  COMPANY_FINANCE//HBase\n" +
            "10->  COMPANY_HOLDER//HBase\n" +
            "11->  COMPANY_LAND_ANNOUNCEMENT//HBase\n" +
            "12->  COMPANY_LAND_MORTGAGE//HBase\n" +
            "13->  COMPANY_MORTGAGE_INFO//HBase\n" +
            "14->  COMPANY_PATENT_LIST//HBase\n" +
            "15->  COMPANY_TM//HBase\n" +
            "16->  COMPANY_ZXR_LIST//HBase\n" +
            "17->  COMPANY_ZXR_RESTRICT//HBase\n" +
            "18->  WENSHU_DETAIL//ES\n" +
            "18->  WENSHU_DETAIL//ES")
    private String dimensionType;
    @ApiModelProperty("线索类型" +
            "1  -> 新增破产公告\n" +
            "2  -> 注册资本上升\n" +
            "3  -> 新增招标信息\n" +
            "4  -> 软件著作权\n" +
            "5  -> 作品著作权\n" +
            "6  -> 有恢复执行案件即将开庭\n" +
            "7  -> 失信信息移除\n" +
            "8  -> 出质了持有股权\n" +
            "9  -> 有新的融资\n" +
            "10 -> 新增了股东\n" +
            "11 -> 股东退出\n" +
            "12 -> 购买了新的土地\n" +
            "13 -> 抵押了公司土地\n" +
            "14 -> 资产被抵押\n" +
            "15 -> 新增专利信息\n" +
            "16 -> 新增商标信息\n" +
            "17 -> 被执行人信息移除\n" +
            "18 -> 限制高消费移除\n" +
            "19 -> 有恢复执行案件\n" +
            "20 -> 新增胜诉案件" +
            "21 -> 接受了他人土地抵押")
    private String type;
    @ApiModelProperty("变更时间")
    private String changeTime;
    @ApiModelProperty("创建时间")
    private String createTime;
    @ApiModelProperty("线索详情")
    private Object detail;
}
