package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.entity.RepalBook;
import com.winhc.repal.model.dto.AddRepalBookDTO;
import com.winhc.repal.model.dto.DeleteRepalBookDTO;
import com.winhc.repal.model.dto.HomeTypeDTO;
import com.winhc.repal.model.dto.RepalBookNameDTO;
import com.winhc.repal.model.vo.HomeGradeVO;
import com.winhc.repal.model.vo.HomeReceivableVO;
import com.winhc.repal.model.vo.RepalBookInfoVO;
import com.winhc.repal.model.vo.ReturnedMoneyVO;

import java.util.List;


/**
 * @description RepalBook 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalBookService extends IService<RepalBook> {


    /**
     * 获取应收付金额和笔数
     * @param dto dto
     * @return com.winhc.repal.model.vo.HomeReceivableVO
     * @author xda
     * @date 2022/5/9 10:23
     */
    HomeReceivableVO getHomeReceivable(HomeTypeDTO dto);



    /**
     * 删除账本
     * @param dto dto
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/4/18 10:04
     */
    Boolean deleteRepalBook(DeleteRepalBookDTO dto);


    /**
     * 获取账本列表信息
     * @return java.util.List<com.winhc.repal.model.vo.RepalBookInfoVO>
     * @author xda
     * @date 2022/4/18 10:19
     */
    List<RepalBookInfoVO> getRepalBookInfoList();

    /**
     * 获取账本动态
     * @param dto dto
     * @return java.util.List<java.util.List < java.lang.Integer>>
     * @author xda
     * @date 2022/5/6 18:41
     */
    List<List<Integer>> getRepalBookDynamic(HomeTypeDTO dto);

    /**
     * 首页账本评级比例
     * @param dto dto
     * @return java.util.List<com.winhc.repal.model.vo.HomeGradeVO>
     * @author xda
     * @date 2022/5/6 18:52
     */
    List<HomeGradeVO> getGradeRateList(HomeTypeDTO dto);


    /**
     * 设置账本可见性
     * @param type type
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/9 11:11
     */
    Boolean setBookVisible(Integer type);


    /**
     * 添加账本
     * @param dto dto
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/9 14:40
     */
    Long addRepalBook(AddRepalBookDTO dto);

    /**
     * 首页折线图
     * @param dto dto
     * @return java.util.List<com.winhc.repal.model.vo.ReturnedMoneyVO>
     * @author xda
     * @date 2022/5/9 16:26
     */
    List<ReturnedMoneyVO> getGraph(HomeTypeDTO dto);

    /**
     * 修改账本name
     * @param dto dto
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/10 11:25
     */
    Boolean updateRepalBookName(RepalBookNameDTO dto);


}
