package com.winhc.repal.service;

import com.module.login.usersession.UserBean;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.entity.RepalBill;
import com.winhc.repal.entity.RepalBillDiagnosis;
import com.winhc.repal.entity.RepalRemindHistory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.model.bo.BillRemindBO;
import com.winhc.repal.model.bo.BookDynamicCountBO;
import com.winhc.repal.model.dto.RepalRemindHistoryDTO;
import com.winhc.repal.model.vo.RepalBillRemindUnReadVO;
import com.winhc.repal.model.vo.RepalRemindCountVO;
import com.winhc.repal.model.vo.RepalRemindHistoryVO;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;


/**
 * @description RepalRemindHistory 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalRemindHistoryService extends IService<RepalRemindHistory> {

    /**
     * 查询未读数量
     * @param repalBills repalBills
     * @param userId userId
     * @param startTime startTime
     * @param endTime endTime
     * @return com.winhc.repal.model.vo.RepalBillRemindUnReadVO
     * @date 2022/5/7 19:46
     */
    RepalBillRemindUnReadVO getRemindUnReadVO(List<RepalBill> repalBills,Long userId, LocalDateTime startTime, LocalDateTime endTime);

    /**
     * 新增评级提醒
     * @param accountBill
     * @param diagnosis
     * @return
     */
    boolean insertRankRemind(RepalBill accountBill, RepalBillDiagnosis diagnosis);

    /**
     * 根据id查询详情
     * @return
     */
    RepalRemindHistoryVO getDetailById(Long id, UserBean userBean);

    /**
     * 查询动态数量
     * @param dto
     * @return
     */
    RepalRemindCountVO queryRemidCount(RepalRemindHistoryDTO dto, UserBean userBean);

    /**
     * 分页查询动态
     * @param dto
     * @param pageNum
     * @param pageSize
     * @param userBean
     * @return
     */
    VOPage<RepalRemindHistoryVO> find(RepalRemindHistoryDTO dto, Integer pageNum, Integer pageSize,UserBean userBean);


    /**
     * 获取账款动态总数
     * @param repalBookId repalBookId
     * @param userId userId
     * @param startDateTime startDateTime
     * @param endDateTime endDateTime
     * @return java.util.List<com.winhc.repal.model.bo.BookDynamicCountBO>
     * @author xda
     * @date 2022/5/7 15:39
     */
    List<BookDynamicCountBO> getBookDynamicCount(Long repalBookId,
                                                 Long userId,
                                                 LocalDateTime startDateTime,
                                                 LocalDateTime endDateTime);


    RepalBillRemindUnReadVO getBillRemindUnReadVO(Long riskId,
                                              Long rankId,
                                              Long overdueId,
                                              Long financeId,
                                              Long repalBookId,
                                              Long repalBillId,
                                              LocalDateTime startTime,
                                              LocalDateTime endTime);
}
